\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris1,, xstep=1cm,ystep=1cm] (-7,-3) grid (5,3);
\clip(-7,-3) rectangle (5,3);
\draw [line width=1.5pt,color=A1] (-4,-1)-- (-1,-2);
\draw [line width=1.5pt,color=A1] (-1,-2)-- (-1,1);
\draw [line width=1.5pt,color=A1] (-1,1)-- (-3,2);
\draw [line width=1.5pt,color=A1] (-3,2)-- (-4,-1);
\draw [color=black] (-3,2)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-2.75,2.25) node {$M$};
\draw [color=black] (-1,1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-0.75,1.25) node {$N$};
\draw [color=black] (-4,-1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-4.25,-0.75) node {$L$};
\draw [color=black] (-1,-2)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-0.75,-1.75) node {$P$};
\draw [color=black] (1,0)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (1.25,0.25) node {$S$};
\end{tikzpicture}
\end{document}